## types

types — Basic types

## Types and Values

typedef | G3DSingle
typedef | G3DDouble
typedef | G3DFloat
#define | G3D_FLOAT_IS_DOUBLE

## Includes

    #include <g3d/types.h>

## Description

Some basic type abstractions used in libg3d.

## Functions

## Types and Values

### G3DSingle

    typedef gfloat G3DSingle;

Single-precision floating point number.

### G3DDouble

    typedef gdouble G3DDouble;

Double-precision floating point number.

### G3DFloat

    typedef gdouble G3DFloat;

Default floating point type. If used consistently in the library (not the case at the moment) this type can be switched between single and double precision at compile-time.

### G3D_FLOAT_IS_DOUBLE

    #define G3D_FLOAT_IS_DOUBLE TRUE

A flag indicating type of G3DFloat. It is TRUE if G3DFloat is double and FALSE if G3DFloat is single precision.